# hey Emacs, its -*- rpm-spec -*-
# $Id: php-xslt,v 1.10 2002/11/13 03:05:37 ab Exp $
###############################################################
# This SPEC file is a configurable skeleton for PHP modules
# which are distributed with PHP4 tarball.
# Copyright (c) 2001 Alexander Bokovoy <ab@avilink.net>
# This SPEC file is available under terms of GNU GPL license
# versions 2 or greater
###############################################################

# Package name without php prefix
%define		php_extension	xslt
###############################################################

Name:	 	php-%php_extension
Version:	%php_version
Release:	%php_release
Group:		System/Servers
License:	PHP Licence
Summary:	Sablotron XSLT support for PHP4
Serial:		1
Source1:	php-%php_extension.ini
Source2:	php-%php_extension-params.sh
Patch: 		php-xslt-iconv.patch

Prereq:		php-libs >= %php_version-%php_release
Requires:	glibc, libsablotron

BuildRequires(pre): rpm-build-php

# Automatically added by buildreq on Fri Nov 29 2002
BuildRequires: php-devel = %php_version-%php_release
BuildRequires: libexpat-devel libsablotron-devel 

%def_disable static

%description
The php-%php_extension includes a dynamic shared object (DSO) that adds
XSLT support to PHP4. Sablotron is a fast, compact and portable XSLT processor.
If you need XSLT support for PHP4 applications, you will need
to install this package in addition to the php package.

%prep
%setup -T -c
cp -pr %php_extsrcdir/%php_extension/* .
%patch -p1

%build
phpize

BUILD_HAVE=`echo %php_extension | tr '[:lower:]-' '[:upper:]_'`
export CFLAGS="-fPIC -L%_libdir"
export LDFLAGS="-lphp-%_php_version" ### Stupid PHP not understand LDLIBS

%configure \
	    --with-%php_extension-sablot=%_usr \
	    --enable-%php_extension \
	    --with-iconv \
	    --with-expat-dir=%_usr
%php_make

%install
%php_make_install
%__install -D -m 644 %SOURCE1 %buildroot/%php_extconf/%php_extension/config
%__install -D -m 644 %SOURCE2 %buildroot/%php_extconf/%php_extension/params

%files
%php_extconf/%php_extension
%php_extdir/*
%doc README.XSLT-BACKENDS TODO

%post
%php_extension_postin

%preun
%php_extension_preun

%changelog
* Sun Jan 06 2008 L.A. Kostis <lakostis@altlinux.ru> 1:4.4.8-alt1
- rebuild with new php version (4.4.8).

* Sun May 13 2007 L.A. Kostis <lakostis@altlinux.ru> 1:4.4.7-alt1
- rebuild with new php version (4.4.7).

* Tue Apr 10 2007 L.A. Kostis <lakostis@altlinux.ru> 1:4.4.6-alt2
- rebuild due libmm update.

* Fri Mar 09 2007 L.A. Kostis <lakostis@altlinux.ru> 1:4.4.6-alt1
- rebuild with 4.4.6-alt1.

* Sun Mar 04 2007 L.A. Kostis <lakostis@altlinux.ru> 1:4.4.6-alt0.1
- new version (4.4.6).

* Wed Sep 27 2006 Alexey Gladkov <legion@altlinux.ru> 1:4.4.4-alt2
- Bugfix rebuild.
- Relax Requires/BuildRequires.

* Wed Aug 23 2006 Alexey Gladkov <legion@altlinux.ru> 1:4.4.4-alt1
- new version (4.4.4)

* Mon Jun 26 2006 Alexey Gladkov <legion@altlinux.ru> 1:4.4.3.cvs20060626-alt1
-new version.

* Fri Nov 25 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.4.2-alt0.cvs20051121.1
- bugfix rebuild.

* Thu Nov 24 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.4.2-alt0.cvs20051121
- new cvs snapshot.

* Mon Oct 17 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.4.1-alt0.cvs20051010
- new cvs snapshot.

* Sun Aug 07 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.4.1-alt0.cvs20050729
- new CVS snapshot.

* Mon May 30 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.12-alt0.cvs20050530
- new CVS snapshot;

* Fri May 27 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.12-alt0.cvs20050527
- New CVS version;

* Thu Apr 07 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.12-alt0.cvs20050406
- New cvs snapshot;

* Mon Apr 04 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.12-alt0.cvs20050404
- new cvs snapshot;

* Wed Feb 09 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.11-alt0.cvs20050209
- New cvs snapshot.

* Mon Dec 20 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.11-alt0.cvs20041217
- new version;

* Fri Aug 06 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.9-alt0.cvs20040802
- New cvs snapshot;
- security fixes;

* Mon May 31 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.7-alt0.cvs20040531
- New cvs snapshot;
- Environment variable PHPRC overriding is removed.

* Sat May 22 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.7-alt0.cvs20040519
- New cvs snapshot;
- Extension module moved to /usr/lib/php/%%php_version/extensions .

* Fri Jan 30 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20040130
- New cvs snapshot.
- Shared Memory support added (enable-shmop).

* Tue Jan 06 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20040106
- postin/preun script bugfix.

* Mon Dec 22 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20031211
- New cvs snapshot php4.3.5 CVS-20031211
- build scheme fix:
  - postin bugfix (#3324).

* Wed Nov 12 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20031112
- New cvs snapshot php4.3.5 CVS-20031112
- minor build scheme fix:
  - macro php_optflags added.
  - sapi build environment changed.

* Sat Nov 01 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20031101
- New cvs snapshot php4.3.4 CVS-20031101

* Fri Oct 17 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20031017
- New CVS snapshot.
- New scheme loading extensions. From now all extensions in 
  the /etc/<SAPI>/php.d/*.ini (Fixed #2940). This scheme fixed #2532.
  For more information please read documentation.
- New scheme creating/installing SAPI.
  + each SAPI may have own config file;
  + each SAPI may have own extensions kit.
- spec changes.

* Sat Aug 30 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20030830
- fresh cvs snapshot.

* Wed Aug 06 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.3-alt0.cvs20030806
- New CVS build.
- bug #0002779 closed.

* Wed Jul 09 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.3-alt0.cvs20030708
- new CVS build

* Sun Apr 06 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.2-alt0.cvs20030405
- new CVS build

* Sat Mar 01 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.1-alt0.cvs20030301
- new version PHP 4.3.1 CVS-20030301

* Mon Feb 03 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.0-alt0.cvs20030207
- PHP 4.3.0-dev CVS-20030207
- Bugfixes

* Wed Nov 13 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt5
- Fix permissions

* Sun Nov 10 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt4
- Rebuild with gcc 3.2.1
- Use macros from php-common to simplify spec file

* Wed Mar 27 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt3
- Fixed:
    + sendmail detection in BTE forced to be unconditional (closes #0000751)

* Fri Mar 15 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt2
- Added:
    + Security audit patch from phpaudit.42-networks.com, 
      fixes multiple (theoretical) buffer overflows fixes
- post install script fixed

* Thu Feb 28 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt1
- PHP 4.1.2
- Spec cleanups

* Thu Sep 27 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt1
- PHP 4.0.6
- Bugfixes

* Fri Jun 15 2001 Rider <rider@altlinux.ru>
- first sablotron build for ALT Linux
